Bug 173698 - vi-style scrolling absent
vi-style scrolling absent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-18 17:42 EST by David A. De Graaf
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 03:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David A. De Graaf 2005-11-18 17:42:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
For those of us with hands glued to the standard typing position,
the inability of firefox to scroll vi-style is a constant irritation.
The necessity to lift the hand over to the unnatural arrow keys, or god
forbid, the mouse, is just burdensome.  Why can't firefox obey the 
standard convention?  - move down with the right index finger,
up with the middle finger, left by reaching left, and right with the
third finger?  Scroll up a full page by reaching up to u, and down
with the thumb.

It turns out to be fairly simple to teach firefox to do this, moreover
without affecting its other "normal" behaviour, so the question remains -
why isn't this done standardly?  I don't know that answer.

It is merely necessary to add these definitions to the file,
platformHTMLBindings.xml

       <handler event="keypress" key="h" command="cmd_scrollLeft"/>
       <handler event="keypress" key="j" command="cmd_scrollLineDown"/>
       <handler event="keypress" key="k" command="cmd_scrollLineUp"/>
       <handler event="keypress" key="l" command="cmd_scrollRight"/>
       <handler event="keypress" key="u" command="cmd_scrollPageUp" />

However, this file is well concealed in
/usr/lib/firefox-1.0.7/chrome/toolkit.jar which is a zipped bunch of
files.  This must be unzipped, the file edited, and the package
rezipped.  

Please add these lines, officially, so this local modification isn't necessary.

Version-Release number of selected component (if applicable):
firefox-1.0.7-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1.  In firefox, try to scroll, using the keyboard.
2.
3.
  

Actual Results:  No scrolling.

Expected Results:  I would prefer firefox to obey normal conventions.

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:34:18 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 David A. De Graaf 2007-04-13 17:06:26 EDT
Oh, yes, this omission is still with us in FC6, and soon will be extended to
FC7, I presume.
The simple fix defined above still works.  I again urge it be included
standardly.  I realize the reluctance to "fix" firefox, which seems to be built
with Windows standards in mind, but the editing conventions of UNIX have been in
common use  since long before MSDOS and should not be cavalierly scrapped.
Comment 3 Christopher Aillon 2007-04-13 21:39:59 EDT
Firefox isn't an editor, so those conventions don't apply.  Even if it were, we
follow GNOME conventions, not vi conventions.  Finally, this will have to be
done upstream, not in our package.  Fedora policy is to not diverge much from
upstream, except where necessary.  This is more of a nice to have for a few
people -- definitely not enough to warrant a local patch.

Note You need to log in before you can comment on or make changes to this bug.